std::simd::__vec_builtin_of(3cxx)

NAME
std::simd::__vec_builtin_of

SYNOPSIS

#include <vec_ops.h>

Concept definition

template<typename _Tp, typename _ValueType, __simd_size_type _Width sizeof(_Tp) / sizeof(_ValueType)>
concept std::simd::__vec_builtin_of =  !is_class_v<_Tp> && !is_pointer_v<_Tp> && !is_arithmetic_v<_Tp>
          && __vectorizable<_ValueType>
          && _Width >= 1 && sizeof(_Tp) / sizeof(_ValueType) == _Width
          && same_as<__vec_builtin_type_bytes<_ValueType, sizeof(_Tp)>, _Tp>
          && requires(_Tp& __v, _ValueType __x) { __v[0] = __x; }

Detailed Description

Constrain to any vector builtin with given value type and optional width.

Author

Generated automatically by Doxygen for libstdc++ from the source code.